Page MenuHomePhabricator

Release 5.6.1 (1216)
Closed, ResolvedPublic

Description

See [iOS release process (https://www.mediawiki.org/wiki/Wikimedia_Apps/Team/Release_process#iOS) for process documentation.

Release version: 5.6.1 (1216)
Release tag: releases/5.6.1
Release SHA1:
App Store Submission Date: 9/20/2017
App Store Approval Date: 9/21/2017
App Store Release Date: 9/25/2017
Regression Testing URL: see subtask


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l

Event Timeline

JMinor created this task.Aug 29 2017, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2017, 8:29 PM
JMinor updated the task description. (Show Details)Aug 30 2017, 9:31 PM
JMinor renamed this task from Release 5.6.1 (TBD) to Release 5.6.1 (1212).Sep 7 2017, 10:58 PM
JMinor updated the task description. (Show Details)
JMinor renamed this task from Release 5.6.1 (1212) to Release 5.6.1 (121?).Sep 11 2017, 6:00 PM
JMinor updated the task description. (Show Details)
ABorbaWMF renamed this task from Release 5.6.1 (121?) to Release 5.6.1 (1216).Sep 19 2017, 6:46 PM

This is should be considered complete now. There were test runs on the three previous builds and some targeted tests on this latest one. Ready for Beta.

JMinor closed this task as Resolved.Sep 26 2017, 3:20 AM
JMinor updated the task description. (Show Details)